<template>
  <el-dialog :visible.sync="show" v-on:update:visible="updateShowDialog"
    width="33%"
    custom-class="dialog-red"> 
      <el-row >
        <el-col :span="5" class="text-center"><img src="../assets/images/alerta.svg" width="80%"  alt="emoticon"></el-col>
        <el-col :span="18" :offset="1">
          <p style="margin-bottom: 0.5rem"><strong> ¿Estás seguro? </strong></p>
          <p> Si sales del formulario, la información se perderá. </p>
          <el-row type="flex" justify="end">
            <el-button @click="$emit('btnEvent')" class="border-red" style="margin-top: 4rem" type="danger" plain> Salir </el-button>   
            <el-button v-on:click="$emit('eventBtn')" style="margin-top: 4rem" type="danger"> Seguir aquí </el-button>                        
          </el-row>
        </el-col>
      </el-row>
   </el-dialog>
</template>

<script>
  export default {
    props: {
    showDialog: Boolean,
    },
    data(){
      return {
        show: this.showDialog
      }
    },
    methods: {
      updateShowDialog(isVisible) {
        if (isVisible) return false;
        this.$emit('update:showDialog', false )
      },
    },
  }
</script>